Index: Makefile
===================================================================
RCS file: /meow/ncvs/ports/security/nss/Makefile,v
retrieving revision 1.28
diff -U2 -r1.28 Makefile
--- Makefile	30 Aug 2005 20:52:18 -0000	1.28
+++ Makefile	19 Jan 2006 20:51:14 -0000
@@ -7,5 +7,5 @@
 
 PORTNAME=	nss
-PORTVERSION=	3.10
+PORTVERSION=	3.11
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_MOZILLA}
@@ -31,7 +31,4 @@
 DIST=		${WRKSRC:H:H}/dist
 
-CONFLICTS=	btoa-5.* digest-[0-9]* emboss-2.* oases-2.* p5-PAR-0.* \
-		qmail-ldap2-[0-9]*
-
 .include <bsd.port.pre.mk>
 
@@ -40,5 +37,5 @@
 .endif
 
-EXTERNALS=	CVS dbm security/nss/cmd/zlib
+EXTERNALS=	CVS dbm security/nss/cmd/zlib nsprpub security/dbm
 EXTRACT_AFTER_ARGS=| ${TAR} -xf -	\
 	${EXTERNALS:C,^,--exclude ${DISTNAME}/mozilla/,}
@@ -79,6 +76,7 @@
 	${INSTALL_PROGRAM} ${DIST}/FreeBSD${OSREL:C/.$/*/}_OPT.OBJ/lib/*.so.1 \
 		${PREFIX}/lib
-	${INSTALL_PROGRAM} ${DIST}/FreeBSD${OSREL:C/.$/*/}_OPT.OBJ/bin/* \
-		${PREFIX}/bin
+	${INSTALL_PROGRAM} `${SED}	\
+	    -e 's|^bin/|${DIST}/FreeBSD${OSREL:C/.$/*/}_OPT.OBJ/bin/|' \
+	    -e t -e d ${PLIST}` ${PREFIX}/bin/
 	cd ${DIST}/FreeBSD${OSREL:C/.$/*/}_OPT.OBJ/lib && \
 		${TAR} -cf - *.so | ${TAR} --unlink -C ${PREFIX}/lib -xf -
Index: distinfo
===================================================================
RCS file: /meow/ncvs/ports/security/nss/distinfo,v
retrieving revision 1.8
diff -U2 -r1.8 distinfo
--- distinfo	23 Nov 2005 22:40:49 -0000	1.8
+++ distinfo	18 Jan 2006 22:20:06 -0000
@@ -1,3 +1,3 @@
-MD5 (nss-3.10.tar.gz) = f0d75d52aff21f88d9c055bdb78f54f8
-SHA256 (nss-3.10.tar.gz) = 47448f60cdfb7447e8337d91a472c821c2b74c785a3033e16034bd17b8df8812
-SIZE (nss-3.10.tar.gz) = 3622858
+MD5 (nss-3.11.tar.gz) = 9be73bd73e361e5e36edf77f456fa20a
+SHA256 (nss-3.11.tar.gz) = 35b65a672c699f1e5fc082fccc29bcc65102ef8d31cff106f2ec68beace96809
+SIZE (nss-3.11.tar.gz) = 5002908
Index: pkg-plist
===================================================================
RCS file: /meow/ncvs/ports/security/nss/pkg-plist,v
retrieving revision 1.6
diff -U2 -r1.6 pkg-plist
--- pkg-plist	31 Jul 2005 00:06:49 -0000	1.6
+++ pkg-plist	19 Jan 2006 20:32:57 -0000
@@ -1,20 +1,11 @@
-bin/atob
-bin/addbuiltin
-bin/bltest
-bin/btoa
 bin/certcgi
 bin/certutil
 bin/checkcert
-bin/client
 bin/cmsutil
 bin/crlutil
-bin/dbtest
 bin/derdump
-bin/digest
-bin/instinit
 bin/makepqg
 bin/mangle
 bin/modutil
-bin/newuser
 bin/ocspclnt
 bin/oidcalc
@@ -24,9 +15,5 @@
 bin/p7verify
 bin/pk12util
-bin/pp
 bin/rsaperf
-bin/sdrtest
-bin/selfserv
-bin/server
 bin/shlibsign
 bin/signtool
@@ -35,5 +22,4 @@
 bin/strsclnt
 bin/symkeyutil
-bin/tstclnt
 bin/vfychain
 bin/vfyserv
@@ -127,9 +113,7 @@
 include/nss/nss/sslproto.h
 include/nss/nss/sslt.h
-include/nss/nss/swfort.h
-include/nss/nss/swfortt.h
 include/nss/nss/watcomfx.h
-lib/libfort.so
-lib/libfort.so.1
+lib/libfreebl3.so
+lib/libfreebl3.so.1
 lib/libnss3.so
 lib/libnss3.so.1
@@ -142,6 +126,4 @@
 lib/libssl3.so
 lib/libssl3.so.1
-lib/libswft.so
-lib/libswft.so.1
 @dirrm include/nss/nss
 @dirrm include/nss
Index: files/patch-..::coreconf::FreeBSD.mk
===================================================================
RCS file: /meow/ncvs/ports/security/nss/files/patch-..::coreconf::FreeBSD.mk,v
retrieving revision 1.5
diff -U2 -r1.5 patch-..::coreconf::FreeBSD.mk
--- files/patch-..::coreconf::FreeBSD.mk	18 Apr 2004 01:29:33 -0000	1.5
+++ files/patch-..::coreconf::FreeBSD.mk	19 Jan 2006 18:17:28 -0000
@@ -1,6 +1,5 @@
---- ../coreconf/FreeBSD.mk.orig	Wed Mar 26 20:17:25 2003
-+++ ../coreconf/FreeBSD.mk	Sat Apr 17 21:25:24 2004
-@@ -35,9 +35,9 @@
- 
+--- ../coreconf/FreeBSD.mk	Fri Sep 16 13:09:23 2005
++++ ../coreconf/FreeBSD.mk	Wed Jan 18 18:30:48 2006
+@@ -38,7 +38,7 @@
  include $(CORE_DEPTH)/coreconf/UNIX.mk
  
@@ -13,7 +12,5 @@
  RANLIB			= ranlib
  
- ifeq ($(OS_TEST),alpha)
-@@ -47,6 +47,8 @@
- endif
+@@ -50,6 +50,12 @@
  
  OS_CFLAGS		= $(DSO_CFLAGS) -ansi -Wall -DFREEBSD -DHAVE_STRERROR -DHAVE_BSD_FLOCK
@@ -21,8 +18,12 @@
 +OPTIMIZER		=
  
++ifeq ($(OS_TEST),sparc64)
  DSO_CFLAGS		= -fPIC
++else
++DSO_CFLAGS		= -fpic
++endif
  DSO_LDOPTS		= -shared -Wl,-soname -Wl,$(notdir $@)
-@@ -58,7 +60,7 @@
- USE_PTHREADS		= 1
+ 
+@@ -61,5 +67,5 @@
  DEFINES			+= -D_THREAD_SAFE -D_REENTRANT
  OS_LIBS			+= -pthread
@@ -31,7 +32,5 @@
  endif
  
- ARCH			= freebsd
-@@ -66,12 +68,16 @@
- MOZ_OBJFORMAT		:= $(shell test -x /usr/bin/objformat && /usr/bin/objformat || echo aout)
+@@ -69,10 +75,14 @@
  
  ifeq ($(MOZ_OBJFORMAT),elf)
@@ -50,3 +49,7 @@
  ifdef MAPFILE
  # Add LD options to restrict exported symbols to those in the map file
- endif
+@@ -84,2 +94,4 @@
+ 
+ INCLUDES		+= -I/usr/X11R6/include
++USE_SYSTEM_ZLIB		= 1
++ZLIB_LIBS		= -lz
Index: files/patch-..::coreconf::command.mk
===================================================================
RCS file: /meow/ncvs/ports/security/nss/files/patch-..::coreconf::command.mk,v
retrieving revision 1.1
diff -U2 -r1.1 patch-..::coreconf::command.mk
--- files/patch-..::coreconf::command.mk	8 Aug 2002 19:05:41 -0000	1.1
+++ files/patch-..::coreconf::command.mk	18 Jan 2006 22:28:38 -0000
@@ -1,14 +1,11 @@
+$FreeBSD$
 
-$FreeBSD: ports/security/nss/files/patch-..::coreconf::command.mk,v 1.1 2002/08/08 19:05:41 sobomax Exp $
-
---- ../coreconf/command.mk	2002/08/08 17:20:41	1.1
-+++ ../coreconf/command.mk	2002/08/08 17:20:54
-@@ -42,7 +42,7 @@
+--- ../coreconf/command.mk	Mon Oct 10 19:46:12 2005
++++ ../coreconf/command.mk	Wed Jan 18 17:23:28 2006
+@@ -46,5 +46,5 @@
  LINK_DLL      = $(LINK) $(OS_DLLFLAGS) $(DLLFLAGS)
  LINK_EXE      = $(LINK) $(OS_LFLAGS) $(LFLAGS)
- NFSPWD        = $(NSINSTALL_DIR)/nfspwd
 -CFLAGS        = $(OPTIMIZER) $(OS_CFLAGS) $(XP_DEFINE) $(DEFINES) $(INCLUDES) \
 +CFLAGS        += $(OPTIMIZER) $(OS_CFLAGS) $(XP_DEFINE) $(DEFINES) $(INCLUDES) \
  		$(XCFLAGS)
  RANLIB        = echo
- TAR           = /bin/tar
Index: files/patch-certutil.c
===================================================================
RCS file: files/patch-certutil.c
diff -N files/patch-certutil.c
--- files/patch-certutil.c	31 Jul 2005 00:06:49 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,72 +0,0 @@
---- cmd/certutil/certutil.c	Fri Apr 22 22:12:00 2005
-+++ cmd/certutil/certutil.c	Fri Jul 22 02:02:20 2005
-@@ -131,3 +131,3 @@
- 	fflush (stdout);
--	if (gets (buffer) == NULL) {
-+	if (fgets(buffer, sizeof buffer, stdin) == NULL) {
- 	    PORT_SetError(SEC_ERROR_INPUT_LEN);
-@@ -206,3 +206,3 @@
-     puts (prompt);
--    gets (buffer);
-+    fgets(buffer, sizeof buffer, stdin);
-     if (strlen (buffer) > 0) {
-@@ -1424,3 +1424,3 @@
- 	fprintf(stdout, "%-25s Other to finish\n", "");
--	if (gets (buffer)) {
-+	if (fgets(buffer, sizeof buffer, stdin)) {
- 	    value = atoi (buffer);
-@@ -1439,3 +1439,3 @@
-     puts ("Is this a critical extension [y/n]? ");
--    gets (buffer);	
-+    fgets(buffer, sizeof buffer, stdin);	
- 
-@@ -1580,3 +1580,3 @@
- 
--    if (gets(buffer) == NULL) {
-+    if (fgets(buffer, sizeof buffer, stdin) == NULL) {
-         PORT_SetError(SEC_ERROR_INPUT_LEN);
-@@ -1621,3 +1621,3 @@
-   puts ("Is this a critical extension [y/n]? ");
--  gets (buffer);	
-+  fgets(buffer, sizeof buffer, stdin);	
- 
-@@ -1650,3 +1650,3 @@
- 	fprintf(stdout, "%-25s Other to finish\n", "");
--	if (gets (buffer) == NULL) {
-+	if (fgets(buffer, sizeof buffer, stdin) == NULL) {
- 	    PORT_SetError(SEC_ERROR_INPUT_LEN);
-@@ -1664,3 +1664,3 @@
-     puts ("Is this a critical extension [y/n]? ");
--    gets (buffer);	
-+    fgets(buffer, sizeof buffer, stdin);	
- 
-@@ -1769,3 +1769,3 @@
- 	puts ("Is this a CA certificate [y/n]?");
--	gets (buffer);
-+	fgets(buffer, sizeof buffer, stdin);
- 	basicConstraint.isCA = (buffer[0] == 'Y' || buffer[0] == 'y') ?
-@@ -1774,3 +1774,3 @@
- 	puts ("Enter the path length constraint, enter to skip [<0 for unlimited path]:");
--	gets (buffer);
-+	fgets(buffer, sizeof buffer, stdin);
- 	if (PORT_Strlen (buffer) > 0)
-@@ -1784,3 +1784,3 @@
- 	puts ("Is this a critical extension [y/n]? ");
--	gets (buffer);	
-+	fgets(buffer, sizeof buffer, stdin);	
- 	rv = CERT_AddExtension
-@@ -1908,3 +1908,3 @@
- 	puts ("Is this a critical extension [y/n]? ");
--	gets (buffer);	
-+	fgets(buffer, sizeof buffer, stdin);	
- 
-@@ -1963,3 +1963,3 @@
- 		fflush (stdout);
--		gets (buffer);
-+		fgets(buffer, sizeof buffer, stdin);
- 		/* For simplicity, use CERT_AsciiToName to converse from a string
-@@ -2031,3 +2031,3 @@
- 	puts ("Is this a critical extension [y/n]? ");
--	gets (buffer);	
-+	fgets(buffer, sizeof buffer, stdin);	
- 	
Index: files/patch-cmd::platlibs.mk
===================================================================
RCS file: /meow/ncvs/ports/security/nss/files/patch-cmd::platlibs.mk,v
retrieving revision 1.2
diff -U2 -r1.2 patch-cmd::platlibs.mk
--- files/patch-cmd::platlibs.mk	31 Jul 2005 00:06:49 -0000	1.2
+++ files/patch-cmd::platlibs.mk	18 Jan 2006 23:07:59 -0000
@@ -10,10 +10,4 @@
  	$(DIST)/lib/$(NSPR31_LIB_PREFIX)plc4.$(LIB_SUFFIX) \
  	$(DIST)/lib/$(NSPR31_LIB_PREFIX)plds4.$(LIB_SUFFIX) \
-@@ -85,5 +84,4 @@
- 
- JAR_LIBS = $(DIST)/lib/$(LIB_PREFIX)jar.$(LIB_SUFFIX) \
--	$(DIST)/lib/$(LIB_PREFIX)zlib.$(LIB_SUFFIX) \
- 	$(NULL)
- else
 @@ -120,5 +118,4 @@
  	$(CRYPTOLIB) \
@@ -22,30 +16,2 @@
  	$(NULL)
  
-@@ -141,4 +138,5 @@
- 	-lplds4 \
- 	-lnspr4 \
-+	-lz \
- 	$(NULL)
- endif
-@@ -146,5 +144,4 @@
- 
- JAR_LIBS = $(DIST)/lib/$(LIB_PREFIX)jar.$(LIB_SUFFIX) \
--	$(DIST)/lib/$(LIB_PREFIX)zlib.$(LIB_SUFFIX) \
- 	$(NULL)
- 
-@@ -171,5 +168,4 @@
- 
- JAR_LIBS = $(DIST)/lib/$(LIB_PREFIX)jar.$(LIB_SUFFIX) \
--	$(DIST)/lib/$(LIB_PREFIX)zlib.$(LIB_SUFFIX) \
- 	$(NULL)
- else
-@@ -226,8 +222,8 @@
- 	-lplds4 \
- 	-lnspr4 \
-+	-lz \
- 	$(NULL)
- 
- JAR_LIBS = $(DIST)/lib/$(LIB_PREFIX)jar.$(LIB_SUFFIX) \
--	$(DIST)/lib/$(LIB_PREFIX)zlib.$(LIB_SUFFIX) \
- 	$(NULL)
- endif
Index: files/patch-crlgen.c
===================================================================
RCS file: /meow/ncvs/ports/security/nss/files/patch-crlgen.c,v
retrieving revision 1.1
diff -U2 -r1.1 patch-crlgen.c
--- files/patch-crlgen.c	31 Jul 2005 00:06:49 -0000	1.1
+++ files/patch-crlgen.c	18 Jan 2006 22:48:48 -0000
@@ -104,26 +104,2 @@
          return SECFailure;
      }
-@@ -1362,12 +1362,12 @@
-     }
- 
-     if (extStr->extData == NULL) {
--        extStr->extData = PORT_ZAlloc(MAX_EXT_DATA_LENGTH);
-+        extStr->extData = PORT_ZNewArray(char *, MAX_EXT_DATA_LENGTH);
-         if (!extStr->extData) {
-             return SECFailure;
-         }
-     }
--    if (extStr->nextUpdatedData > MAX_EXT_DATA_LENGTH) {
-+    if (extStr->nextUpdatedData >= MAX_EXT_DATA_LENGTH) {
-         PORT_SetError(SEC_ERROR_INVALID_ARGS);
-         crlgen_PrintError(crlGenData->parsedLineNum, 
-                           "number of fields in extension "
-@@ -1415,7 +1415,7 @@
-               PORT_Free(crlGenData->certEntry);
-               break;
-           case CRLGEN_ADD_EXTENSION_CONTEXT:
--              if (crlGenData->extensionEntry->nextUpdatedData) {
-+              if (crlGenData->extensionEntry->extData) {
-                   int i = 0;
-                   for (;i < crlGenData->extensionEntry->nextUpdatedData;i++)
-                       PORT_Free(*(crlGenData->extensionEntry->extData + i));
Index: files/patch-lib::ckfw::builtins::Makefile
===================================================================
RCS file: files/patch-lib::ckfw::builtins::Makefile
diff -N files/patch-lib::ckfw::builtins::Makefile
--- files/patch-lib::ckfw::builtins::Makefile	8 Aug 2002 19:05:41 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,16 +0,0 @@
-
-$FreeBSD: ports/security/nss/files/patch-lib::ckfw::builtins::Makefile,v 1.2 2002/08/08 19:05:41 sobomax Exp $
-
---- lib/ckfw/builtins/Makefile.orig	Sat Feb 16 00:53:42 2002
-+++ lib/ckfw/builtins/Makefile	Thu Aug  8 21:29:48 2002
-@@ -54,8 +54,8 @@
- else
- 
- EXTRA_LIBS += \
--	$(DIST)/lib/$(LIB_PREFIX)plc4.$(LIB_SUFFIX) \
--	$(DIST)/lib/$(LIB_PREFIX)plds4.$(LIB_SUFFIX) \
-+	-lplc4 \
-+	-lplds4 \
- 	$(NULL)
- 
- endif
Index: files/patch-lib::fortcrypt::swfort::pkcs11::Makefile
===================================================================
RCS file: files/patch-lib::fortcrypt::swfort::pkcs11::Makefile
diff -N files/patch-lib::fortcrypt::swfort::pkcs11::Makefile
--- files/patch-lib::fortcrypt::swfort::pkcs11::Makefile	8 Aug 2002 19:05:41 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,16 +0,0 @@
-
-$FreeBSD: ports/security/nss/files/patch-lib::fortcrypt::swfort::pkcs11::Makefile,v 1.2 2002/08/08 19:05:41 sobomax Exp $
-
---- lib/fortcrypt/swfort/pkcs11/Makefile.orig	Sat Feb 16 00:53:46 2002
-+++ lib/fortcrypt/swfort/pkcs11/Makefile	Thu Aug  8 21:27:33 2002
-@@ -76,8 +76,8 @@
- 	$(DIST)/lib/$(LIB_PREFIX)softokn.$(LIB_SUFFIX) \
- 	$(CRYPTO_LIB) \
- 	$(DIST)/lib/$(LIB_PREFIX)secutil.$(LIB_SUFFIX) \
--	$(DIST)/lib/$(LIB_PREFIX)plc4.$(LIB_SUFFIX) \
--	$(DIST)/lib/$(LIB_PREFIX)plds4.$(LIB_SUFFIX) \
-+	-lplc4 \
-+	-lplds4 \
- 	$(NULL)
- 
- endif
Index: files/patch-sysdb
===================================================================
RCS file: /meow/ncvs/ports/security/nss/files/patch-sysdb,v
retrieving revision 1.1
diff -U2 -r1.1 patch-sysdb
--- files/patch-sysdb	31 Jul 2005 00:06:49 -0000	1.1
+++ files/patch-sysdb	18 Jan 2006 22:54:11 -0000
@@ -161,13 +161,4 @@
  
  NSS_EXTERN_DATA NSSCKMDInstance nss_dbm_mdInstance;
---- lib/fortcrypt/swfort/swfortti.h	Sun Apr 25 11:03:07 2004
-+++ lib/fortcrypt/swfort/swfortti.h	Fri Jul 22 01:07:34 2005
-@@ -45,5 +45,5 @@
- #include "maci.h"
- #include "seccomon.h"
--#include "mcom_db.h"  /* really should be included by certt.h */
-+#include <db.h>  /* really should be included by certt.h */
- #include "certt.h"
- /*#include "keyt.h"*/
 --- lib/freebl/mac_rand.c	Sun Apr 25 11:03:08 2004
 +++ lib/freebl/mac_rand.c	Fri Jul 22 01:08:19 2005
@@ -187,36 +178,2 @@
  #include "secoidt.h"
  #include "secdert.h"
---- lib/fortcrypt/swfort/swflib.c	Sun Apr 25 11:03:07 2004
-+++ lib/fortcrypt/swfort/swflib.c	Fri Jul 22 01:11:20 2005
-@@ -43,6 +43,7 @@
-  */
- 
--#include "prtypes.h"
--#include "prio.h"
-+#include <fcntl.h>
-+#include <prtypes.h>
-+#include <prio.h>
- 
- #include "swforti.h"
---- lib/fortcrypt/swfort/swfutl.c	Sun Apr 25 11:03:07 2004
-+++ lib/fortcrypt/swfort/swfutl.c	Fri Jul 22 01:14:05 2005
-@@ -38,7 +38,7 @@
-  */
- 
--#include "prtypes.h"
--#include "prsystem.h"
--#include "prio.h"
-+#include <prtypes.h>
-+#include <prsystem.h>
-+#include <prio.h>
- 
- #include "swforti.h"
-@@ -48,7 +48,6 @@
- #include "secport.h"
- #include "secrng.h"
--#ifdef XP_OS2
-+#include <sys/types.h>
- #include <sys/stat.h>
--#endif
- 
- #ifdef XP_WIN
Index: files/patch-warnings
===================================================================
RCS file: /meow/ncvs/ports/security/nss/files/patch-warnings,v
retrieving revision 1.1
diff -U2 -r1.1 patch-warnings
--- files/patch-warnings	31 Jul 2005 00:06:49 -0000	1.1
+++ files/patch-warnings	19 Jan 2006 00:00:10 -0000
@@ -11,6 +11,27 @@
  #endif
  #ifdef BEOS
---- lib/pk11wrap/pk11obj.c	Sun Feb 27 10:25:46 2005
-+++ lib/pk11wrap/pk11obj.c	Wed Jul 27 22:03:16 2005
+--- lib/pk11wrap/pk11obj.c	Thu Sep  8 22:03:57 2005
++++ lib/pk11wrap/pk11obj.c	Wed Jan 18 18:40:19 2006
+@@ -553,5 +553,4 @@
+     CK_ATTRIBUTE theTemplate = { CKA_EC_PARAMS, NULL, 0 };
+     SECItem params = {siBuffer, NULL, 0};
+-    int length; 
+ 
+     switch (key->keyType) {
+@@ -570,11 +569,12 @@
+ 			       &theTemplate, 1) == CKR_OK) {
+ 	    if (theTemplate.pValue != NULL) {
++		int length;
+ 	        params.len = theTemplate.ulValueLen;
+ 		params.data = (unsigned char *) theTemplate.pValue;
+ 	        length = SECKEY_ECParamsToKeySize(&params);
+ 	        PORT_Free(theTemplate.pValue);
++		return ((length + 7)/8) * 2;
+ 	    }
+-	    length = ((length + 7)/8) * 2;
+-	    return length;
++	    return 0;
+ 	}
+ 	break;
 @@ -1075,6 +1075,6 @@
   *    for (thisObj=firstObj; thisObj; 
@@ -62,13 +83,4 @@
  	PORT_SetError(SEC_ERROR_UNKNOWN_OBJECT_TYPE);
  	return SECFailure;
---- lib/pk11wrap/pk11util.c	Sat Apr  2 01:02:53 2005
-+++ lib/pk11wrap/pk11util.c	Wed Jul 27 22:07:54 2005
-@@ -862,5 +862,5 @@
-     int i, oldCount;
-     PRBool freeRef = PR_FALSE;
--    void *mark;
-+    void *mark = NULL;
-     CK_ULONG *slotIDs = NULL;
-     PK11SlotInfo **newSlots = NULL;
 --- cmd/certcgi/certcgi.c	Sat Apr  2 00:24:07 2005
 +++ cmd/certcgi/certcgi.c	Wed Jul 27 22:01:50 2005
@@ -351,2 +363,87 @@
  
      while (*string == ' ') {
+--- cmd/crmftest/testcrmf.c	Fri Oct  7 20:57:31 2005
++++ cmd/crmftest/testcrmf.c	Wed Jan 18 18:52:23 2006
+@@ -965,16 +965,4 @@
+ }
+ 
+-static CK_MECHANISM_TYPE
+-mapWrapKeyType(KeyType keyType)
+-{
+-    switch (keyType) {
+-    case rsaKey:
+-        return CKM_RSA_PKCS;
+-    default:
+-        break;
+-    }
+-    return CKM_INVALID_MECHANISM;
+-} 
+-
+ #define KNOWN_MESSAGE_LENGTH 20 /*160 bits*/
+ 
+@@ -1329,5 +1317,5 @@
+ 	}
+ 	if (retrieved != randomNums[i]) {
+-	    printf ("Retrieved the number (%d), expected (%d)\n", retrieved,
++	    printf ("Retrieved the number (%ld), expected (%ld)\n", retrieved,
+ 		    randomNums[i]);
+ 	    return 913;
+@@ -1435,5 +1423,4 @@
+ DestroyPair(TESTKeyPair *pair)
+ {
+-    SECStatus rv  = SECSuccess;
+     int       irv = 0;
+ 
+--- cmd/fipstest/fipstest.c	Fri Oct 14 16:04:39 2005
++++ cmd/fipstest/fipstest.c	Wed Jan 18 18:59:34 2006
+@@ -426,5 +426,5 @@
+ 	} else {
+ 	    to_hex_str(keystr, key, 8);
+-	    printf("%ld\tKEY=%s\t", i, keystr);
++	    printf("%d\tKEY=%s\t", i, keystr);
+ 	}
+ 	if (iv) {
+@@ -497,5 +497,5 @@
+ 	} else {
+ 	    to_hex_str(keystr, key, 8);
+-	    printf("%ld\tKEY=%s\t", i, keystr);
++	    printf("%d\tKEY=%s\t", i, keystr);
+ 	}
+ 	if (iv) {
+@@ -569,5 +569,5 @@
+ 	} else {
+ 	    to_hex_str(keystr, keyin, 8);
+-	    printf("%ld\tKEY=%s\t", i, keystr);
++	    printf("%d\tKEY=%s\t", i, keystr);
+ 	}
+ 	if (iv) {
+@@ -643,5 +643,5 @@
+ 	} else {
+ 	    to_hex_str(keystr, keyin, 8);
+-	    printf("%ld\tKEY=%s\t", i, keystr);
++	    printf("%d\tKEY=%s\t", i, keystr);
+ 	}
+ 	if (iv) {
+@@ -705,5 +705,5 @@
+ 	} else {
+ 	    to_hex_str(keystr, keyin, 8);
+-	    printf("%ld\tKEY=%s\t", i, keystr);
++	    printf("%d\tKEY=%s\t", i, keystr);
+ 	}
+ 	if (iv) {
+@@ -806,5 +806,5 @@
+ 	} else {
+ 	    to_hex_str(keystr, keyin, 8);
+-	    printf("%ld\tKEY=%s\t", i, keystr);
++	    printf("%d\tKEY=%s\t", i, keystr);
+ 	}
+ 	if (iv) {
+@@ -1981,6 +1981,6 @@
+     unsigned int mod;
+     SECItem digest = { 0 }, sig = { 0 };
+-    DSAPublicKey pubkey = { 0 };
+-    DSAPrivateKey privkey = { 0 };
++    DSAPublicKey pubkey = {{ 0 }};
++    DSAPrivateKey privkey = {{ 0 }};
+     PQGParams params;
+     PQGVerify verify;
